## eye 0.1.0

=== DESCRIPTION ===
Package: eye
Title: Analysis of Eye Data
Version: 0.1.0
Authors@R: c(
    person("Tjebo", "Heeren",
           role = c("aut", "cre"),
           email = "tjebo@gmx.de",
           comment = c(ORCID = "0000-0001-5297-2301")),
    person("Antoine", "Fabri", role = "ctb"))
Description: A tool to facilitate common tasks in ophthalmic research: 
    Conversion between different visual acuity notations (Snellen, logMAR 
    and ETDRS), counting of patients, recode right and left eyes and reshape 
    eye side specific variables between wide and long format. The 'eye' 
    package also contains a real life data set of people with intravitreal 
    injections with anti-vascular endothelial growth factor (anti-VEGF), 
    made available by Fasler et al. (2019) <doi:10.1136/bmjopen-2018-027441>.  
    Visual acuity conversion is based on 
    Schulze-Bonsel et al. (2006) <doi:10.1167/iovs.05-0981>, 
    Gregori et al. (2010) <doi:10.1097/iae.0b013e3181d87e04>, 
    Beck et al. (2003) <doi:10.1016/s0002-9394(02)01825-1> and 
    Bach (2007) <http:michaelbach.de/sci/acuity.html>.
License: MIT + file LICENSE
Language: en-US
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Depends: R (>= 4.0)
Suggests: testthat, knitr, rmarkdown
Imports: dplyr (>= 1.0.0), cli (>= 2.0.2), english (>= 1.2-5),
        lubridate (>= 1.7.8), magrittr (>= 1.5), purrr (>= 0.3.4),
        rlang (>= 0.4.6), stringr (>= 1.4.0), tibble (>= 3.0.1), tidyr
        (>= 1.0.3), tidyselect (>= 1.1.0)
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-06-25 09:05:12 UTC; tjebo
Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
  Antoine Fabri [ctb]
Maintainer: Tjebo Heeren <tjebo@gmx.de>
Repository: CRAN
Date/Publication: 2020-06-25 12:20:03 UTC

## eye 1.0.0

=== DESCRIPTION ===
Package: eye
Title: Analysis of Eye Data
Version: 1.0.0
Authors@R: c(
    person("Tjebo", "Heeren",
           role = c("aut", "cre"),
           email = "tjebo@gmx.de",
           comment = c(ORCID = "0000-0001-5297-2301")),
    person("Antoine", "Fabri", role = "ctb"))
Description: There is no ophthalmic researcher who has not had headaches from 
    the handling of visual acuity entries. Different notations, untidy entries. 
    This shall now be a matter of the past. Eye makes it as easy as pie to work
    with VA data - easy cleaning, easy conversion between 
    Snellen, logMAR, ETDRS letters, and qualitative visual acuity 
    shall never pester you again. The eye 
    package automates the pesky task to count number of patients and eyes, 
    and can help to clean data with easy re-coding for right and left eyes. 
    It also contains functions to help reshaping eye side specific variables 
    between wide and long format. Visual acuity conversion is based on 
    Schulze-Bonsel et al. (2006) <doi:10.1167/iovs.05-0981>, 
    Gregori et al. (2010) <doi:10.1097/iae.0b013e3181d87e04>, 
    Beck et al. (2003) <doi:10.1016/s0002-9394(02)01825-1> and 
    Bach (2007) <http:michaelbach.de/sci/acuity.html>.
License: MIT + file LICENSE
URL: https://github.com/tjebo/eye
BugReports: https://github.com/tjebo/eye/issues
Language: en-US
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 4.0)
Imports: cli (>= 2.2.0), dplyr (>= 1.0.2), english (>= 1.2-5), eyedata
        (>= 0.1.0), lubridate (>= 1.7.9.2), magrittr (>= 2.0.1), purrr
        (>= 0.3.4), rlang (>= 0.4.9), stringr (>= 1.4.0), tibble (>=
        3.0.4), tidyr (>= 1.1.2), tidyselect (>= 1.1.0)
Suggests: knitr (>= 1.30), rmarkdown (>= 2.5), testthat (>= 3.0.0)
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-01-07 15:51:27 UTC; tjebo
Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
  Antoine Fabri [ctb]
Maintainer: Tjebo Heeren <tjebo@gmx.de>
Repository: CRAN
Date/Publication: 2021-01-07 16:10:20 UTC

## eye 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: eye
 Title: Analysis of Eye Data
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person("Tjebo", "Heeren",
            role = c("aut", "cre"),
@@ -29,16 +29,17 @@
 LazyData: true
 RoxygenNote: 7.1.1
 Depends: R (>= 4.0)
-Imports: cli (>= 2.2.0), dplyr (>= 1.0.2), english (>= 1.2-5), eyedata
-        (>= 0.1.0), lubridate (>= 1.7.9.2), magrittr (>= 2.0.1), purrr
-        (>= 0.3.4), rlang (>= 0.4.9), stringr (>= 1.4.0), tibble (>=
-        3.0.4), tidyr (>= 1.1.2), tidyselect (>= 1.1.0)
-Suggests: knitr (>= 1.30), rmarkdown (>= 2.5), testthat (>= 3.0.0)
+Imports: cli (>= 2.2.0), dplyr (>= 1.0.2), english (>= 1.2-5),
+        lubridate (>= 1.7.9.2), magrittr (>= 2.0.1), purrr (>= 0.3.4),
+        rlang (>= 0.4.9), stringr (>= 1.4.0), tibble (>= 3.0.4), tidyr
+        (>= 1.1.2), tidyselect (>= 1.1.0)
+Suggests: eyedata (>= 0.1.0), knitr (>= 1.30), rmarkdown (>= 2.5),
+        testthat (>= 3.0.0)
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-01-07 15:51:27 UTC; tjebo
+Packaged: 2021-01-09 15:25:38 UTC; tjebo
 Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
   Antoine Fabri [ctb]
 Maintainer: Tjebo Heeren <tjebo@gmx.de>
 Repository: CRAN
-Date/Publication: 2021-01-07 16:10:20 UTC
+Date/Publication: 2021-01-10 14:20:02 UTC

## eye 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: eye
 Title: Analysis of Eye Data
-Version: 1.0.1
+Version: 1.1.0
 Authors@R: c(
     person("Tjebo", "Heeren",
            role = c("aut", "cre"),
@@ -37,9 +37,9 @@
         testthat (>= 3.0.0)
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-01-09 15:25:38 UTC; tjebo
+Packaged: 2021-03-08 14:06:54 UTC; tjebo
 Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
   Antoine Fabri [ctb]
 Maintainer: Tjebo Heeren <tjebo@gmx.de>
 Repository: CRAN
-Date/Publication: 2021-01-10 14:20:02 UTC
+Date/Publication: 2021-03-08 14:22:06 UTC

## eye 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: eye
 Title: Analysis of Eye Data
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: c(
     person("Tjebo", "Heeren",
            role = c("aut", "cre"),
@@ -28,18 +28,18 @@
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1
+VignetteBuilder: knitr
 Depends: R (>= 4.0)
-Imports: cli (>= 2.2.0), dplyr (>= 1.0.2), english (>= 1.2-5),
-        lubridate (>= 1.7.9.2), magrittr (>= 2.0.1), purrr (>= 0.3.4),
-        rlang (>= 0.4.9), stringr (>= 1.4.0), tibble (>= 3.0.4), tidyr
-        (>= 1.1.2), tidyselect (>= 1.1.0)
-Suggests: eyedata (>= 0.1.0), knitr (>= 1.30), rmarkdown (>= 2.5),
-        testthat (>= 3.0.0)
-VignetteBuilder: knitr
+Imports: cli (>= 2.3.1), dplyr (>= 1.0.5), english (>= 1.2-5),
+        lubridate (>= 1.7.10), magrittr (>= 2.0.1), pillar (>= 1.5.1),
+        purrr (>= 0.3.4), rlang (>= 0.4.10), stringr (>= 1.4.0), tibble
+        (>= 3.1.0), tidyr (>= 1.1.3), tidyselect (>= 1.1.0)
+Suggests: eyedata (>= 0.1.0), knitr (>= 1.31), rmarkdown (>= 2.7),
+        testthat (>= 3.0.2)
 NeedsCompilation: no
-Packaged: 2021-03-08 14:06:54 UTC; tjebo
+Packaged: 2021-03-22 01:04:33 UTC; tjebo
 Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
   Antoine Fabri [ctb]
 Maintainer: Tjebo Heeren <tjebo@gmx.de>
 Repository: CRAN
-Date/Publication: 2021-03-08 14:22:06 UTC
+Date/Publication: 2021-03-22 05:10:06 UTC

## eye 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: eye
 Title: Analysis of Eye Data
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Tjebo", "Heeren",
            role = c("aut", "cre"),
@@ -26,20 +26,19 @@
 BugReports: https://github.com/tjebo/eye/issues
 Language: en-US
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
-Depends: R (>= 4.0)
-Imports: cli (>= 2.3.1), dplyr (>= 1.0.5), english (>= 1.2-5),
-        lubridate (>= 1.7.10), magrittr (>= 2.0.1), pillar (>= 1.5.1),
-        purrr (>= 0.3.4), rlang (>= 0.4.10), stringr (>= 1.4.0), tibble
-        (>= 3.1.0), tidyr (>= 1.1.3), tidyselect (>= 1.1.0)
-Suggests: eyedata (>= 0.1.0), knitr (>= 1.31), rmarkdown (>= 2.7),
-        testthat (>= 3.0.2)
+Depends: R (>= 4.1)
+Imports: cli (>= 3.0.1), dplyr (>= 1.0.7), english (>= 1.2-6),
+        lubridate (>= 1.7.10), magrittr (>= 2.0.1), pillar (>= 1.6.2),
+        purrr (>= 0.3.4), rlang (>= 0.4.11), stringr (>= 1.4.0), tibble
+        (>= 3.1.3), tidyr (>= 1.1.3), tidyselect (>= 1.1.1)
+Suggests: eyedata (>= 0.1.0), knitr (>= 1.33), rmarkdown (>= 2.10),
+        testthat (>= 3.0.4)
 NeedsCompilation: no
-Packaged: 2021-03-22 01:04:33 UTC; tjebo
+Packaged: 2021-09-04 17:47:04 UTC; tjebo
 Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
   Antoine Fabri [ctb]
 Maintainer: Tjebo Heeren <tjebo@gmx.de>
 Repository: CRAN
-Date/Publication: 2021-03-22 05:10:06 UTC
+Date/Publication: 2021-09-04 18:00:02 UTC

## eye 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: eye
 Title: Analysis of Eye Data
-Version: 1.2.1
+Version: 1.3.0
 Authors@R: c(
     person("Tjebo", "Heeren",
            role = c("aut", "cre"),
@@ -20,25 +20,26 @@
     Schulze-Bonsel et al. (2006) <doi:10.1167/iovs.05-0981>, 
     Gregori et al. (2010) <doi:10.1097/iae.0b013e3181d87e04>, 
     Beck et al. (2003) <doi:10.1016/s0002-9394(02)01825-1> and 
-    Bach (2007) <http:michaelbach.de/sci/acuity.html>.
+    Bach (2007) <https://michaelbach.de/sci/acuity.html>.
 License: MIT + file LICENSE
 URL: https://github.com/tjebo/eye
 BugReports: https://github.com/tjebo/eye/issues
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.3
 VignetteBuilder: knitr
-Depends: R (>= 4.1)
-Imports: cli (>= 3.0.1), dplyr (>= 1.0.7), english (>= 1.2-6),
-        lubridate (>= 1.7.10), magrittr (>= 2.0.1), pillar (>= 1.6.2),
-        purrr (>= 0.3.4), rlang (>= 0.4.11), stringr (>= 1.4.0), tibble
-        (>= 3.1.3), tidyr (>= 1.1.3), tidyselect (>= 1.1.1)
-Suggests: eyedata (>= 0.1.0), knitr (>= 1.33), rmarkdown (>= 2.10),
-        testthat (>= 3.0.4)
+Depends: R (>= 4.5)
+Imports: cli (>= 3.6.5), dplyr (>= 1.1.4), english (>= 1.2-6),
+        lubridate (>= 1.9.4), magrittr (>= 2.0.4), pillar (>= 1.11.1),
+        purrr (>= 1.1.0), rlang (>= 1.1.6), stringr (>= 1.5.2), tibble
+        (>= 3.3.0), tidyr (>= 1.3.1), tidyselect (>= 1.2.1)
+Suggests: eyedata (>= 0.1.0), knitr (>= 1.50), rmarkdown (>= 2.29),
+        testthat (>= 3.2.3)
 NeedsCompilation: no
-Packaged: 2021-09-04 17:47:04 UTC; tjebo
-Author: Tjebo Heeren [aut, cre] (<https://orcid.org/0000-0001-5297-2301>),
+Packaged: 2025-09-20 00:55:03 UTC; tjebo
+Author: Tjebo Heeren [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-5297-2301>),
   Antoine Fabri [ctb]
 Maintainer: Tjebo Heeren <tjebo@gmx.de>
 Repository: CRAN
-Date/Publication: 2021-09-04 18:00:02 UTC
+Date/Publication: 2025-09-26 17:20:02 UTC

## eye 10.24.1~ds

=== debian/changelog ===
eye (1:10.24.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: bump epoch
  * update copyright info:
    + stop exclude file no longer included with upstream source
  * update copyright info:
    + update coverage
  * update and unfuzz patches
  * improve generating man page, and skip if nodoc is requested
  * cleanup after build;
    closes: bug#1045095, thanks to Lucas Nussbaum
  * generate and install Markdown documentation
  * update autopkgtests
  * update upstream URIs;
    closes: bug#1088029, thanks to Lev Lamberov
  * install executable as eye,
    and provide legacy name eye.pvm as symlink;
    declare breakage with obsolete package ruby-eye

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 13:43:27 +0100

eye (22.1201.1601~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * install upstream changelog

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 20:30:04 +0100

eye (22.0929.2000~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * update Homepage
  * declare compliance with Debian Policy 4.6.1
  * update/unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Sep 2022 08:59:46 +0200

eye (22.0203.1955~ds-2) unstable; urgency=medium

  * fix use swipl executable in PATH;
    tighten build-dependency on swi-prolog-nox;
    closes: bug#1006818,
    thanks to Paul Gevers, Adrian Bunk, and Lev Lamberov

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Sep 2022 08:20:17 +0200

eye (22.0203.1955~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid compiled code when repackaging upstream source
    + update coverage
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Feb 2022 21:09:40 +0100

eye (21.1203.1426~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage
  * simplify source helper script copyright-check
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 12)
  * update and unfuzz patches
  * update autopkgtest scripts

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 19:05:21 +0100

eye (20.1027.2307~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source script copyright-check
  * copyright: update coverage
  * adjust debhelper hints for upstream renamed documentation files
  * add patch 2002 to avoid privacy breach in documentation

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Oct 2020 11:13:57 +0100

eye (20.0703.0848~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Jul 2020 15:55:05 +0200

eye (20.0606.1810~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * depend on virtual swi-prolog-abi-*;
    see bug#959027, thanks to Lev Lamberov and Jan Wielemaker
  * unfuzz patch
  * stop suggest or enhance swap-cwm
    (no longer in Debian, see bug#961607)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2020 22:51:33 +0200

eye (20.0423.1748~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * relax to depend on current upstream release of swi-prolog-nox
    (not current Debian package release);
    thanks to Andreas Beckmann (see bug#958561)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Apr 2020 18:42:09 +0200

eye (20.0411.2226~ds-2) unstable; urgency=medium

  * recommend ca-certificates
  * watch: use dversionmangle=auto
  * declare compliance with Debian Policy 4.5.0
  * copyright: update coverage
  * annotate one autopkgtest with needs-internet
  * tighten to depend on single version of swi-prolog-nox;
    really closes: bug#958419, thanks to Paul Gevers and Lev Lamberov

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 14:46:46 +0200

eye (20.0411.2226~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + FIXED: process_create/3: stderr was sent to stdout.
      closes: Bug#958419, thanks to Paul Gevers

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * unfuzz patch
  * update autopkgtest net test to use https protocol,
    and depend on ca-certificates

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Apr 2020 23:27:39 +0200

eye (19.0928.2249~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update build rules for upstream renamed file extension.
  * Declare compliance with Debian Policy 4.4.1.
  * Refresh patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 11:48:42 +0200

eye (19.0221.2026~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file: Generalize version mangling for repackaging.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Feb 2019 17:23:14 +0100

eye (19.0202.2255~ds-3) unstable; urgency=medium

  * Update watch file: Fix regular expressions.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Feb 2019 13:11:44 +0100

eye (19.0202.2255~ds-2) unstable; urgency=medium

  * Fix depend (not only build-depend) on swi-prolog-nox.
  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Feb 2019 23:23:27 +0100

eye (19.0202.2255~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Feb 2019 11:26:25 +0100

eye (19.0116.1239~ds-1) unstable; urgency=low

  * Initial release.
    Closes: bug#921147.



=== debian/control ===
Source: eye
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 curl,
 debhelper-compat (= 13),
 help2man <!nodoc>,
 swi-prolog-nox (>= 8.4.3),
Standards-Version: 4.6.1
Homepage: https://eyereasoner.github.io/eye/
Vcs-Browser: https://salsa.debian.org/debian/eye
Vcs-Git: https://salsa.debian.org/debian/eye.git
Rules-Requires-Root: no

Package: eye
Architecture: all
Depends:
 swi-prolog-nox,
 swi-prolog-abi-${prolog:ABI},
 ${misc:Depends},
Recommends:
 ca-certificates,
 curl,
Breaks:
 ruby-eye (<< 0.7-5.1+),
Description: semantic web reasoning engine
 Euler Yet another proof Engine (EYE) is a reasoning engine
 supporting the Semantic Web layers.
 It performs semibackward chaining and it supports Euler paths.
 Via N3 it is interoperable with Cwm.
 .
 Semibackward chaining
 is backward chaining for rules using <= in N3
 and forward chaining for rules using => in N3.
 This can be seen in EYE Reasoning.
 .
 Euler paths are roughly "don't step in your own steps"
 which is inspired by what Leonhard Euler discovered in 1736
 for the Königsberg Bridge Problem.
 EYE sees the rule P => C as P & NOT(C) => C.
 .
 Notation3 (N3) is a shorthand non-XML serialization
 of Resource Description Framework (RDF) models,
 designed with human-readability in mind:
 N3 is much more compact and readable than XML RDF notation.
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.

## eye 10.30.11~ds

=== debian/changelog ===
eye (1:10.30.11~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + closes: bug#1088030, thanks to Lev Lamberov

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update autopkgtests
  * stop depend (only build-depend) on swi-prolog-nox

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 14:00:12 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Package: eye
 Architecture: all
 Depends:
- swi-prolog-nox,
  swi-prolog-abi-${prolog:ABI},
  ${misc:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS_stem = README $(filter-out documentation/docker,$(basename $(wildcard documentation/*.md)))
DOCS = $(addsuffix .html,$(DOCS_stem)) $(addsuffix .txt,$(DOCS_stem))
MANPAGES = debian/$(cmd).1
endif

PROLOG_ABI = $(shell swipl --abi_version | sed 's/^swipl-abi-//')

cmd = eye

# generate manpage with help2man from --help option of executable
_mkman = help2man $(if $3,--name "$(strip $3)") --no-info --no-discard-stderr --output $2 $1 \
 || { $1 --help; false; }

%:
	dh $@

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

override_dh_auto_build:
	swipl -o eye --emulator=/usr/bin/swipl -g main -c eye.pl -- --image $(cmd)

execute_after_dh_auto_build: $(DOCS) $(MANPAGES)

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs RELEASE

override_dh_gencontrol:
	dh_gencontrol -- -V"prolog:ABI=$(PROLOG_ABI)"

# build manpage
debian/$(cmd).1: debian/%.1: debian/fake_bin/% %
	$(call _mkman, $<, $@, \
		Euler Yet another proof Engine (EYE) semantic web reasoning engine)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=s/^/1:/ \
https://github.com/eyereasoner/eye/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## eye 11.23.4

=== debian/changelog ===
eye (1:11.23.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + use template
  * unfuzz patches
  * replace (not only break) ruby-eye;
    closes: bug#1088839, thanks to Helmut Grohne
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 19:59:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: eye
 Section: science
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -8,11 +7,10 @@
  debhelper-compat (= 13),
  help2man <!nodoc>,
  swi-prolog-nox (>= 8.4.3),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://eyereasoner.github.io/eye/
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git
-Rules-Requires-Root: no
 
 Package: eye
 Architecture: all
@@ -24,6 +22,8 @@
  curl,
 Breaks:
  ruby-eye (<< 0.7-5.1+),
+Replaces:
+ ruby-eye,
 Description: semantic web reasoning engine
  Euler Yet another proof Engine (EYE) is a reasoning engine
  supporting the Semantic Web layers.

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: eyereasoner
Project: eye
# avoid older v19 and v23 releases
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(1[1-8][.\d]+)
Dversion-Mangle: s/^/1:/

## eye 19.0202.2255~ds

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=s/~ds\d*$//,repacksuffix=~ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/josd/eye/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## eye 19.0221.2026~ds

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: eye
 Section: science
+Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- cmark-gfm <!nodoc>,
  curl,
- debhelper-compat (= 13),
- help2man <!nodoc>,
- swi-prolog-nox (>= 8.4.3),
-Standards-Version: 4.7.3
-Homepage: https://eyereasoner.github.io/eye/
+ debhelper,
+ help2man,
+ swi-prolog-nox,
+Standards-Version: 4.3.0
+Homepage: https://github.com/josd/eye
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git
+Rules-Requires-Root: no
 
 Package: eye
 Architecture: all
 Depends:
- swi-prolog-abi-${prolog:ABI},
+ swi-prolog-nox,
  ${misc:Depends},
 Recommends:
- ca-certificates,
  curl,
-Breaks:
- ruby-eye (<< 0.7-5.1+),
-Replaces:
- ruby-eye,
+Suggests:
+ swap-cwm,
+Enhances:
+ swap-cwm,
 Description: semantic web reasoning engine
  Euler Yet another proof Engine (EYE) is a reasoning engine
  supporting the Semantic Web layers.

=== debian/rules ===
#!/usr/bin/make -f

cmd = eye.pvm

# generate manpage with help2man from --help option of executable
_mkman = help2man $(if $3,--name "$(strip $3)") --no-info --no-discard-stderr --output $2 $1 \
 || { $1 --help; false; }

override_dh_auto_build:
	swipl -q -f eye.prolog -g main -- --image $(cmd)
	$(call _mkman, ./$(cmd), debian/$(cmd).1, \
		Euler Yet another proof Engine (EYE) semantic web reasoning engine)

# fix hashbang
override_dh_installexamples:
	dh_installexamples
	find debian/*/usr/share/doc/*/examples -type f -name test -print0 | \
		xargs -r0 sed -i -e '2s|^eye |eye.pvm |'

%:
	dh $@

=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,

Test-Command: EXTENDED_TESTING=1 prove debian/tests/net/*.t
Restrictions: flaky
Depends:
 curl,
 libtest-command-simple-perl,
 perl,
 @,

## eye 19.0928.2249~ds

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper,
  help2man,
  swi-prolog-nox,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/josd/eye
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
  || { $1 --help; false; }
 
 override_dh_auto_build:
-	swipl -q -f eye.prolog -g main -- --image $(cmd)
+	swipl -q -f eye.pl -g main -- --image $(cmd)
 	$(call _mkman, ./$(cmd), debian/$(cmd).1, \
 		Euler Yet another proof Engine (EYE) semantic web reasoning engine)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~ds \
https://github.com/josd/eye/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## eye 20.0703.0848~ds

=== debian/changelog ===
eye (20.0703.0848~ds-1build1) groovy; urgency=medium

  * No-change rebuild against compatible swi-prolog

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2020 11:45:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: eye
 Section: science
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  curl,
- debhelper,
+ debhelper-compat (= 12),
  help2man,
  swi-prolog-nox,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/josd/eye
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git
@@ -17,13 +18,11 @@
 Architecture: all
 Depends:
  swi-prolog-nox,
+ swi-prolog-abi-${prolog:ABI},
  ${misc:Depends},
 Recommends:
+ ca-certificates,
  curl,
-Suggests:
- swap-cwm,
-Enhances:
- swap-cwm,
 Description: semantic web reasoning engine
  Euler Yet another proof Engine (EYE) is a reasoning engine
  supporting the Semantic Web layers.

## eye 20.1027.2307~ds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: eye
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  curl,
  debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+PROLOG_ABI = $(shell swipl --abi_version | sed 's/^swipl-abi-//')
 
 cmd = eye.pvm
 
@@ -17,5 +19,8 @@
 	find debian/*/usr/share/doc/*/examples -type f -name test -print0 | \
 		xargs -r0 sed -i -e '2s|^eye |eye.pvm |'
 
+override_dh_gencontrol:
+	dh_gencontrol -- -V"prolog:ABI=$(PROLOG_ABI)"
+
 %:
 	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
  @,
 
 Test-Command: EXTENDED_TESTING=1 prove debian/tests/net/*.t
-Restrictions: flaky
+Restrictions: flaky, needs-internet
 Depends:
+ ca-certificates,
  curl,
  libtest-command-simple-perl,
  perl,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/josd/eye/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## eye 22.0203.1955~ds

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  curl,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  help2man,
- swi-prolog-nox,
-Standards-Version: 4.5.0
+ swi-prolog-nox (>= 8.4.3),
+Standards-Version: 4.6.0
 Homepage: https://github.com/josd/eye
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,12 @@
  || { $1 --help; false; }
 
 override_dh_auto_build:
-	swipl -q -f eye.pl -g main -- --image $(cmd)
+	swipl -o eye.pvm --emulator=/usr/bin/swipl -g main -c eye.pl -- --image $(cmd)
 	$(call _mkman, ./$(cmd), debian/$(cmd).1, \
 		Euler Yet another proof Engine (EYE) semantic web reasoning engine)
 
 # fix hashbang
-override_dh_installexamples:
-	dh_installexamples
+execute_after_dh_installexamples:
 	find debian/*/usr/share/doc/*/examples -type f -name test -print0 | \
 		xargs -r0 sed -i -e '2s|^eye |eye.pvm |'

## eye 22.0929.2000~ds

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 # generate manpage with help2man from --help option of executable
 _mkman = help2man $(if $3,--name "$(strip $3)") --no-info --no-discard-stderr --output $2 $1 \
  || { $1 --help; false; }
+
+%:
+	dh $@
 
 override_dh_auto_build:
 	swipl -o eye.pvm --emulator=/usr/bin/swipl -g main -c eye.pl -- --image $(cmd)
@@ -20,6 +23,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V"prolog:ABI=$(PROLOG_ABI)"
-
-%:
-	dh $@

## eye 22.1201.1601~ds

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  debhelper-compat (= 13),
  help2man,
  swi-prolog-nox (>= 8.4.3),
-Standards-Version: 4.6.0
-Homepage: https://github.com/josd/eye
+Standards-Version: 4.6.1
+Homepage: https://josd.github.io/eye/
 Vcs-Browser: https://salsa.debian.org/debian/eye
 Vcs-Git: https://salsa.debian.org/debian/eye.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	$(call _mkman, ./$(cmd), debian/$(cmd).1, \
 		Euler Yet another proof Engine (EYE) semantic web reasoning engine)
 
+override_dh_installchangelogs:
+	dh_installchangelogs RELEASE
+
 # fix hashbang
 execute_after_dh_installexamples:
 	find debian/*/usr/share/doc/*/examples -type f -name test -print0 | \
